PROGRAM NEWUSER;

TYPE
  FlagType       = array[1..4] of Byte;
  Time           = String[5];
  Date           = String[8];
  MSGTOIDXrecord = String[35];
  COMBINEDrecord = array[1..200] of Word;

  USERSrecord    = record
                     Name           : MSGTOIDXrecord;
                     Location       : String[25];
                     Organisation,
                     Address1,
                     Address2,
                     Address3       : String[50];
                     Handle         : String[35];
                     Comment        : String[80];
                     PasswordCRC    : LongInt;
                     DataPhone,
                     VoicePhone     : String[15];
                     LastTime       : Time;
                     LastDate       : Date;

                     Attribute,
                     Attribute2     : Byte;
                     Flags          : FlagType;
                     Credit,
                     Pending        : LongInt;
                     MsgsPosted,
                     Security       : Word;
                     LastRead,
                     NoCalls,
                     Uploads,
                     Downloads,
                     UploadsK,
                     DownloadsK,
                     TodayK         : LongInt;
                     Elapsed        : Integer;
                     ScreenLength   : Word;
                     LastPwdChange  : Byte;
                     Group          : Word;
                     CombinedInfo   : COMBINEDrecord;
                     FirstDate,
                     BirthDate,
                     SubDate        : Date;
                     ScreenWidth,
                     Language,
                     DateFormat     : Byte;
                     ForwardTo      : String[35];
                     MsgArea,
                     FileArea       : Word;
                     DefaultProtocol: Char;
                     FileGroup      : Word;
                     LastDOBCheck   : Byte;
                     Sex            : Byte;
                     XIrecord       : LongInt;
                     MsgGroup       : Word;

                     Attribute3     : Byte;

                      { Bit 0 : Mailbox check: scan selected areas only }

                     Password       : String[15];

                     FreeSpace      : Array[1..31] of Byte;
                   end;

VAR f: file of usersrecord;
    user: usersrecord;
    a:byte;

BEGIN
writeln('NEWUSERUPDATER');
writeln('----------------------------------');
assign(f,'e:\ramsg\users.bbs');
{$I-}
reset(f);
{$I+}
if ioresult<>0 then
   BEGIN
   writeln('# ERROR ACCESSiNG USERS.BBS');
   END
  else
   BEGIN
   a:=0;
   repeat
   a:=a+1;
   seek(f,a);
   read(f,user);
   if user.uploadsk<500 then
      BEGIN
      writeln('! ',user.name,': ',user.uploadsk);
      user.uploadsk:=user.uploadsk+500;
      seek(f,a);
      write(f,user);
      END;
   until eof(f);
   close(f);
   writeln('----------------------------------');
   writeln('finished.');
   END;
END.